<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tool="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <ImageView
        android:id="@+id/logo"
        android:layout_width="match_parent"
        android:layout_height="400dp"
        android:scaleType="fitXY"
        android:contentDescription="@string/contentDescription"
        android:src="@drawable/signup"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/guideline1"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:orientation="horizontal"
        app:layout_constraintGuide_percent="0.55"
        app:layout_constraintTop_toBottomOf="@+id/logo" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/signUp"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/guideline1">

        <TextView
            android:id="@+id/txtSignUp"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/margin_25"
            android:layout_marginTop="@dimen/margin_15"
            android:maxLines="2"
            android:padding="@dimen/margin_5"
            android:text="@string/signUp"
            android:textColor="@color/black"
            android:textSize="@dimen/text_size_20"
            android:textStyle="bold"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/btnReferrer"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/margin_30"
            android:text="@string/signUpPageText"
            android:textColor="@color/black"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/txtSignUp" />

        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/tlMobileNumber"
            style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/margin_15"
            android:hint="@string/mobileNumber"
            android:padding="@dimen/margin_10"
            app:layout_constraintTop_toBottomOf="@+id/btnReferrer">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/edtMobileNumber"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:inputType="number"
                android:textColorHint="@color/greyColor2"
                android:textSize="@dimen/text_size_14"
                tool:ignore="TextContrastCheck" />

        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.button.MaterialButton
            android:id="@+id/btnSignUp"
            app:cornerRadius="@dimen/margin_15"
            android:theme="@style/Theme.NormalLogin"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/margin_30"
            android:layout_marginTop="@dimen/margin_30"
            android:layout_marginEnd="@dimen/margin_30"
            android:text="@string/continueText"
            android:textColor="@color/white"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tlMobileNumber" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>